/* General styling */

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}


html {
    scroll-behavior: smooth;
}


body {
    font-family: 'Inter', sans-serif;
    background: #0f172a;
    color: #f8fafc;
    line-height: 1.6;
}


/* Navigation */

header {
    width: 100%;
    padding: 20px 10%;
}


nav {
    display: flex;
    justify-content: space-between;
    align-items: center;
}


nav h2 {
    font-size: 24px;
}


nav ul {
    display: flex;
    list-style: none;
    gap: 30px;
}


nav a {
    color: white;
    text-decoration: none;
    transition: 0.3s;
}


nav a:hover {
    color: #38bdf8;
}



/* Hero section */

.hero {

    min-height: 90vh;

    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;

    text-align: center;

    padding: 20px;
}


.hero h1 {

    font-size: 70px;
    margin-bottom: 20px;

}


.hero h2 {

    font-size: 25px;
    font-weight: normal;

}


.hero p {

    margin: 20px 0;
    color: #cbd5e1;

}


/* Buttons */

.button {

    display: inline-block;

    padding: 12px 25px;

    margin: 10px;

    background: #38bdf8;

    color: black;

    text-decoration: none;

    border-radius: 30px;

    transition: 0.3s;

}


.button:hover {

    transform: translateY(-3px);

}



.outline {

    background: transparent;

    border: 2px solid #38bdf8;

    color: white;

}



/* Sections */

section {

    padding: 80px 10%;

}



section h2 {

    font-size: 40px;

    margin-bottom: 30px;

}



/* Cards */

.card {

    background: #1e293b;

    padding: 25px;

    border-radius: 15px;

    margin: 20px 0;

    transition: 0.3s;

}



.card:hover {

    transform: translateY(-5px);

}



.card h3 {

    margin-bottom: 15px;

}



/* Mobile */

@media(max-width:700px){

    nav {

        flex-direction: column;

    }


    nav ul {

        margin-top:20px;

        flex-direction:column;

    }


    .hero h1 {

        font-size:45px;

    }

}

.links {
    display: flex;
    justify-content: center;
    gap: 30px;
}


.links a {
    color: #38bdf8;
    text-decoration: none;
    font-size: 18px;
    transition: 0.3s;
}


.links a:hover {
    transform: translateY(-3px);
    color: white;
}